Last Comment Bug 586748 - text-decorations are drawn through text areas
: text-decorations are drawn through text areas
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: unspecified
: x86 Windows 7
: -- normal (vote)
: mozilla8
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 403524
Blocks: 585684
  Show dependency treegraph
 
Reported: 2010-08-12 12:24 PDT by Jeff Muizelaar [:jrmuizel]
Modified: 2011-08-05 18:44 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Jeff Muizelaar [:jrmuizel] 2010-08-12 12:24:30 PDT
Bug 585684 has some of the details on this problem and an example at https://bugzilla.mozilla.org/attachment.cgi?id=465037
Comment 1 Boris Zbarsky [:bz] 2010-08-12 12:47:56 PDT
Note that this behavior is purposeful.  See http://bonsai.mozilla.org/cvsblame.cgi?file=mozilla/layout/forms/nsTextControlFrame.cpp&rev=3.151#1589 (there's equvalent code in forms.css now) and the blame on revision 3.106 of nsTextControlFrame.cpp.
Comment 2 Jeff Muizelaar [:jrmuizel] 2010-08-12 13:08:06 PDT
(In reply to comment #1)
> Note that this behavior is purposeful.  See
> http://bonsai.mozilla.org/cvsblame.cgi?file=mozilla/layout/forms/nsTextControlFrame.cpp&rev=3.151#1589
> (there's equvalent code in forms.css now) and the blame on revision 3.106 of
> nsTextControlFrame.cpp.

Is this the behaviour we want? It doesn't really seem useful to have text-decoration drawn on a text area.

If it is what we want, than I suppose we should fix the reftest.
Comment 3 Boris Zbarsky [:bz] 2010-08-12 13:10:31 PDT
> Is this the behaviour we want? 

An excellent question.  I don't think it is, myself...
Comment 4 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2011-08-03 12:49:51 PDT
I think this is fixed by
https://hg.mozilla.org/integration/mozilla-inbound/rev/c9dff8b867f0
https://hg.mozilla.org/integration/mozilla-inbound/rev/c6912479afdd
and the other work in bug 403524.
Comment 5 XtC4UaLL [:xtc4uall] 2011-08-03 21:52:30 PDT
(In reply to comment #4)
Confirmed concerning https://bugzilla.mozilla.org/attachment.cgi?id=465037 against Tinderbox Win32 Build http://hg.mozilla.org/integration/mozilla-inbound/rev/088a2d2cdf33 compared to yesterday's Nightly.
Comment 6 Jeff Muizelaar [:jrmuizel] 2011-08-05 15:18:46 PDT
Yep looks like it.
Comment 7 Vitor Menezes 2011-08-05 18:44:31 PDT
Patch for bug 403524 makes the anonymous div inside textareas and inputs into  inline-blocks, thereby ignoring text-decorations defined outside the textarea itself.

Note You need to log in before you can comment on or make changes to this bug.